## r-cran-googledrive 2.0.0

=== DESCRIPTION ===
Package: googledrive
Title: An Interface to Google Drive
Version: 2.0.0
Authors@R: 
    c(person(given = "Lucy",
             family = "D'Agostino McGowan",
             role = "aut",
             email = "ld.mcgowan@vanderbilt.edu"),
      person(given = "Jennifer",
             family = "Bryan",
             role = c("aut", "cre"),
             email = "jenny@rstudio.com",
             comment = c(ORCID = "0000-0002-6983-2759")),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Manage Google Drive files from R.
License: MIT + file LICENSE
URL: https://googledrive.tidyverse.org,
        https://github.com/tidyverse/googledrive
BugReports: https://github.com/tidyverse/googledrive/issues
Depends: R (>= 3.3)
Imports: cli (>= 3.0.0), gargle (>= 1.2.0), glue (>= 1.4.2), httr,
        jsonlite, lifecycle, magrittr, pillar, purrr (>= 0.2.3), rlang
        (>= 0.4.9), tibble (>= 2.0.0), utils, uuid, vctrs (>= 0.3.0),
        withr
Suggests: covr, curl, downlit, dplyr (>= 1.0.0), knitr, mockr,
        rmarkdown, roxygen2, sodium, spelling, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/Needs/website: pkgdown, tidyverse, r-lib/downlit,
        tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.1.1.9001
NeedsCompilation: no
Packaged: 2021-07-07 23:19:26 UTC; jenny
Author: Lucy D'Agostino McGowan [aut],
  Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  RStudio [cph, fnd]
Maintainer: Jennifer Bryan <jenny@rstudio.com>
Repository: CRAN
Date/Publication: 2021-07-08 09:10:06 UTC

=== debian/changelog ===
r-cran-googledrive (2.0.0-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 09:01:09 +0100

r-cran-googledrive (2.0.0-1) unstable; urgency=medium

  * Initial release (closes: #994973)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Sep 2021 09:55:28 +0200

=== debian/control ===
Source: r-cran-googledrive
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli (>= 3.0.0),
               r-cran-gargle,
               r-cran-glue (>= 1.4.2),
               r-cran-httr,
               r-cran-jsonlite,
               r-cran-lifecycle,
               r-cran-magrittr,
               r-cran-pillar,
               r-cran-purrr,
               r-cran-rlang (>= 0.4.9),
               r-cran-tibble (>= 2.0.0),
               r-cran-uuid,
               r-cran-vctrs,
               r-cran-withr
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-googledrive
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-googledrive.git
Homepage: https://cran.r-project.org/package=googledrive
Rules-Requires-Root: no

Package: r-cran-googledrive
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to Google Drive
 Manage Google Drive files from R.

## r-cran-googledrive 2.1.1

=== DESCRIPTION ===
Package: googledrive
Title: An Interface to Google Drive
Version: 2.1.1
Authors@R: c(
    person("Lucy", "D'Agostino McGowan", , role = "aut"),
    person("Jennifer", "Bryan", , "jenny@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-6983-2759")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Manage Google Drive files from R.
License: MIT + file LICENSE
URL: https://googledrive.tidyverse.org,
        https://github.com/tidyverse/googledrive
BugReports: https://github.com/tidyverse/googledrive/issues
Depends: R (>= 3.6)
Imports: cli (>= 3.0.0), gargle (>= 1.5.0), glue (>= 1.4.2), httr,
        jsonlite, lifecycle, magrittr, pillar (>= 1.9.0), purrr (>=
        1.0.1), rlang (>= 1.0.2), tibble (>= 2.0.0), utils, uuid, vctrs
        (>= 0.3.0), withr
Suggests: curl, dplyr (>= 1.0.0), knitr, mockr, rmarkdown, spelling,
        testthat (>= 3.1.3)
VignetteBuilder: knitr
Config/Needs/website: tidyverse, tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-06-11 05:34:24 UTC; jenny
Author: Lucy D'Agostino McGowan [aut],
  Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  Posit Software, PBC [cph, fnd]
Maintainer: Jennifer Bryan <jenny@posit.co>
Repository: CRAN
Date/Publication: 2023-06-11 19:30:08 UTC

=== debian/changelog ===
r-cran-googledrive (2.1.1-3) unstable; urgency=medium

  * Team upload.
  * Updated mockr skip patch to catch another test case.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 12 Feb 2025 11:03:09 +0100

r-cran-googledrive (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Added patch to skip tests that use the deprecated package mockr,
    which is no longer available in Debian testing.
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 10:28:44 +0100

r-cran-googledrive (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 21 Jun 2023 16:36:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,20 @@
                dh-r,
                r-base-dev,
                r-cran-cli (>= 3.0.0),
-               r-cran-gargle,
-               r-cran-glue (>= 1.4.2),
+               r-cran-gargle (>= 1.5.0),
+               r-cran-glue,
                r-cran-httr,
                r-cran-jsonlite,
                r-cran-lifecycle,
                r-cran-magrittr,
-               r-cran-pillar,
-               r-cran-purrr,
-               r-cran-rlang (>= 0.4.9),
-               r-cran-tibble (>= 2.0.0),
+               r-cran-pillar (>= 1.9.0),
+               r-cran-purrr (>= 1.0.1),
+               r-cran-rlang (>= 1.0.2),
+               r-cran-tibble,
                r-cran-uuid,
                r-cran-vctrs,
                r-cran-withr
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-googledrive
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-googledrive.git
 Homepage: https://cran.r-project.org/package=googledrive

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-curl,
        r-cran-dplyr (>= 1.0.0),
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-spelling,
        r-cran-testthat (>= 3.1.3)
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/googledrive_([-\d.]*)\.tar\.gz
